%
% Status : main Dynare file 
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

clear all
clear global
tic;
global M_ oo_ options_ ys0_ ex0_ estimation_info
options_ = [];
M_.fname = 'borrcon00';
%
% Some global variables initialization
%
global_initialization;
diary off;
logname_ = 'borrcon00.log';
if exist(logname_, 'file')
    delete(logname_)
end
diary(logname_)
M_.exo_names = 'eps_u';
M_.exo_names_tex = 'eps\_u';
M_.endo_names = 'b';
M_.endo_names_tex = 'b';
M_.endo_names = char(M_.endo_names, 'bnot');
M_.endo_names_tex = char(M_.endo_names_tex, 'bnot');
M_.endo_names = char(M_.endo_names, 'c');
M_.endo_names_tex = char(M_.endo_names_tex, 'c');
M_.endo_names = char(M_.endo_names, 'ctilde');
M_.endo_names_tex = char(M_.endo_names_tex, 'ctilde');
M_.endo_names = char(M_.endo_names, 'ec');
M_.endo_names_tex = char(M_.endo_names_tex, 'ec');
M_.endo_names = char(M_.endo_names, 'lb');
M_.endo_names_tex = char(M_.endo_names_tex, 'lb');
M_.endo_names = char(M_.endo_names, 'maxlev');
M_.endo_names_tex = char(M_.endo_names_tex, 'maxlev');
M_.endo_names = char(M_.endo_names, 'y');
M_.endo_names_tex = char(M_.endo_names_tex, 'y');
M_.param_names = 'RHO';
M_.param_names_tex = 'RHO';
M_.param_names = char(M_.param_names, 'BETA');
M_.param_names_tex = char(M_.param_names_tex, 'BETA');
M_.param_names = char(M_.param_names, 'M');
M_.param_names_tex = char(M_.param_names_tex, 'M');
M_.param_names = char(M_.param_names, 'R');
M_.param_names_tex = char(M_.param_names_tex, 'R');
M_.param_names = char(M_.param_names, 'STD_U');
M_.param_names_tex = char(M_.param_names_tex, 'STD\_U');
M_.param_names = char(M_.param_names, 'GAMMAC');
M_.param_names_tex = char(M_.param_names_tex, 'GAMMAC');
M_.exo_det_nbr = 0;
M_.exo_nbr = 1;
M_.endo_nbr = 8;
M_.param_nbr = 6;
M_.orig_endo_nbr = 8;
M_.aux_vars = [];
options_.varobs = [];
options_.varobs = 'ctilde';
options_.varobs_id = [ 4  ];
M_.Sigma_e = zeros(1, 1);
M_.H = 0;
options_.block=0;
options_.bytecode=0;
options_.use_dll=0;
erase_compiled_function('borrcon00_static');
erase_compiled_function('borrcon00_dynamic');
M_.lead_lag_incidence = [
 1 3 0;
 0 4 0;
 0 5 11;
 0 6 0;
 0 7 0;
 0 8 0;
 0 9 0;
 2 10 0;]';
M_.nstatic = 5;
M_.nfwrd   = 1;
M_.npred   = 2;
M_.nboth   = 0;
M_.equations_tags = {
};
M_.exo_names_orig_ord = [1:1];
M_.maximum_lag = 1;
M_.maximum_lead = 1;
M_.maximum_endo_lag = 1;
M_.maximum_endo_lead = 1;
oo_.steady_state = zeros(8, 1);
M_.maximum_exo_lag = 0;
M_.maximum_exo_lead = 0;
oo_.exo_steady_state = zeros(1, 1);
M_.params = NaN(6, 1);
M_.NNZDerivatives = zeros(3, 1);
M_.NNZDerivatives(1) = 21;
M_.NNZDerivatives(2) = -1;
M_.NNZDerivatives(3) = -1;
M_.params( 4 ) = 1.05;
R = M_.params( 4 );
M_.params( 2 ) = 0.945;
BETA = M_.params( 2 );
M_.params( 1 ) = 0.9;
RHO = M_.params( 1 );
M_.params( 5 ) = 0.02;
STD_U = M_.params( 5 );
M_.params( 3 ) = 1;
M = M_.params( 3 );
M_.params( 6 ) = 1;
GAMMAC = M_.params( 6 );
%
% SHOCKS instructions
%
make_ex_;
M_.exo_det_length = 0;
M_.Sigma_e(1, 1) = (M_.params(5))^2;
M_.sigma_e_is_diagonal = 1;
global estim_params_
estim_params_.var_exo = [];
estim_params_.var_endo = [];
estim_params_.corrx = [];
estim_params_.corrn = [];
estim_params_.param_vals = [];
estim_params_.param_vals = [estim_params_.param_vals; 6, 3.000000, 0, Inf, 3, 3, 1, NaN, NaN, NaN ];
estim_params_.param_vals = [estim_params_.param_vals; 1, 0.669165, 0, 1, 1, 0.5, 0.10, NaN, NaN, NaN ];
estim_params_.var_exo = [estim_params_.var_exo; 1, 0.009880, 0, Inf, 4, 0.01, 1, NaN, NaN, NaN ];
options_.subdraws = 100;
options_.lik_init = 1;
options_.mh_jscale = 0.35;
options_.mh_nblck = 1;
options_.mh_replic = 0;
options_.mode_check = 1;
options_.mode_compute = 8;
options_.order = 1;
options_.plot_priors = 0;
options_.presample = 0;
options_.prior_trunc = 1e-12;
options_.smoother = 1;
options_.datafile = 'fakedata_dynare';
var_list_=[];
var_list_ = 'ctilde';
dynare_estimation(var_list_);
save estimation_dynare ;
save('borrcon00_results.mat', 'oo_', 'M_', 'options_');


disp(['Total computing time : ' dynsec2hms(toc) ]);
diary off
