function [residual, g1, g2] = cgg_static(y, x, params)
%
% Status : Computes static model for Dynare
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

residual = zeros( 8, 1);

%
% Model equations
%

lhs =y(8);
rhs =y(8)-params(6)*(y(5)-y(4))+y(3);
residual(1)= lhs-rhs;
lhs =y(4);
rhs =y(4)*params(1)+y(8)*params(5)+x(1);
residual(2)= lhs-rhs;
lhs =y(3);
rhs =y(3)*params(7)+x(3);
residual(3)= lhs-rhs;
lhs =y(1);
rhs =x(1);
residual(4)= lhs-rhs;
lhs =y(2);
rhs =x(2);
residual(5)= lhs-rhs;
lhs =y(6);
rhs =y(5)*0.10+y(6)*0.90;
residual(6)= lhs-rhs;
lhs =y(7);
rhs =x(2)+y(7)*params(4)+(1-params(4))*(y(4)*params(2)+y(8)*params(3));
residual(7)= lhs-rhs;
lhs =y(5);
rhs =y(7);
residual(8)= lhs-rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(8, 8);

  %
  % Jacobian matrix
  %

  g1(1,3)=(-1);
  g1(1,4)=(-params(6));
  g1(1,5)=params(6);
  g1(2,4)=1-params(1);
  g1(2,8)=(-params(5));
  g1(3,3)=1-params(7);
  g1(4,1)=1;
  g1(5,2)=1;
  g1(6,5)=(-0.10);
  g1(6,6)=0.09999999999999998;
  g1(7,4)=(-((1-params(4))*params(2)));
  g1(7,7)=1-params(4);
  g1(7,8)=(-((1-params(4))*params(3)));
  g1(8,5)=1;
  g1(8,7)=(-1);
  if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
  end
end
if nargout >= 3,
  %
  % Hessian matrix
  %

  g2 = sparse([],[],[],8,64);
end
end
