function [residual, g1, g2, g3] = cgg_zlb_dynamic(y, x, params, steady_state, it_)
%
% Status : Computes dynamic model for Dynare
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

%
% Model equations
%

residual = zeros(8, 1);
lhs =y(10);
rhs =y(13)-params(6)*(y(7)-y(11))+y(5);
residual(1)= lhs-rhs;
lhs =y(6);
rhs =y(11)*params(1)+y(10)*params(5)+x(it_, 1);
residual(2)= lhs-rhs;
lhs =y(5);
rhs =params(7)*y(1)+x(it_, 3);
residual(3)= lhs-rhs;
lhs =y(3);
rhs =x(it_, 1);
residual(4)= lhs-rhs;
residual(5) = y(4);
lhs =y(8);
rhs =y(7)*0.10+0.90*y(12);
residual(6)= lhs-rhs;
lhs =y(9);
rhs =params(4)*y(2)+(1-params(4))*(y(6)*params(2)+y(10)*params(3));
residual(7)= lhs-rhs;
lhs =y(7);
rhs =(-(1/params(1)-1));
residual(8)= lhs-rhs;
if nargout >= 2,
  g1 = zeros(8, 16);

  %
  % Jacobian matrix
  %

  g1(1,5)=(-1);
  g1(1,11)=(-params(6));
  g1(1,7)=params(6);
  g1(1,10)=1;
  g1(1,13)=(-1);
  g1(2,6)=1;
  g1(2,11)=(-params(1));
  g1(2,10)=(-params(5));
  g1(2,14)=(-1);
  g1(3,1)=(-params(7));
  g1(3,5)=1;
  g1(3,16)=(-1);
  g1(4,3)=1;
  g1(4,14)=(-1);
  g1(5,4)=1;
  g1(6,7)=(-0.10);
  g1(6,8)=1;
  g1(6,12)=(-0.90);
  g1(7,6)=(-((1-params(4))*params(2)));
  g1(7,2)=(-params(4));
  g1(7,9)=1;
  g1(7,10)=(-((1-params(4))*params(3)));
  g1(8,7)=1;
end
if nargout >= 3,
  %
  % Hessian matrix
  %

  g2 = sparse([],[],[],8,256);
end
if nargout >= 4,
  %
  % Third order derivatives
  %

  g3 = sparse([],[],[],8,4096);
end
end
